# eric6.WebBrowser.Bookmarks.BookmarksImporters.FirefoxImporter

Module implementing an importer for Firefox bookmarks.

### Global Attributes

None

### Classes

FirefoxImporter | Class implementing the Chrome bookmarks importer.

### Functions

getImporterInfo | Module function to get information for the given source id.

## FirefoxImporter

Class implementing the Chrome bookmarks importer.

### Derived from

BookmarksImporter

### Class Attributes

None

### Class Methods

None

### Methods

FirefoxImporter | Constructor
importedBookmarks | Public method to get the imported bookmarks.
open | Public method to open the bookmarks file.
setPath | Public method to set the path of the bookmarks file or directory.

### Static Methods

None

#### FirefoxImporter (Constructor)

FirefoxImporter(sourceId="", parent=None)

Constructor

sourceId
  source ID (string)
parent
  reference to the parent object (QObject)

#### FirefoxImporter.importedBookmarks

importedBookmarks()

Public method to get the imported bookmarks.

Returns:
  imported bookmarks (BookmarkNode)

#### FirefoxImporter.open

open()

Public method to open the bookmarks file.

Returns:
  flag indicating success (boolean)

#### FirefoxImporter.setPath

setPath(path)

Public method to set the path of the bookmarks file or directory.

path
  bookmarks file or directory (string)

Up

## getImporterInfo

getImporterInfo(sourceId)

Module function to get information for the given source id.

sourceId
  id of the browser ("chrome" or "chromium")

Returns:
  tuple with an icon (QPixmap), readable name (string), name of the default bookmarks file (string), an info text (string), a prompt (string) and the default directory of the bookmarks file (string)

Raises ValueError:
  raised to indicate an invalid browser ID

Up